package com.brie;


import java.io.Serializable;
import java.util.Date;


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Version;



import org.hibernate.validator.constraints.Email;

@Entity
public class Party  implements Serializable{

	
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	   @Id
	   private @GeneratedValue(strategy = GenerationType.AUTO)
	   @Column(name = "id", updatable = false, nullable = false)
	   Long id = null;
	   
	   @Version
	   private @Column(name = "version")
	   int version = 0;


	private @Temporal(TemporalType.TIMESTAMP) 
	Date partydate;
	
	private String name;
	
	private Double duration;
	
	@Email
	private String email;
	
	public Date getPartydate() {
		return partydate;
	}


	public void setPartydate(Date partydate) {
		this.partydate = partydate;
	}


	public String getName() {
		return name;
	}


	public void setName(String name) {
		this.name = name;
	}


	public Double getDuration() {
		return duration;
	}


	public void setDuration(Double duration) {
		this.duration = duration;
	}


	public String getEmail() {
		return email;
	}


	public void setEmail(String email) {
		this.email = email;
	}	

	public Party() {

	}


	   public Long getId()
	   {
	      return this.id;
	   }

	   public void setId(final Long id)
	   {
	      this.id = id;
	   }


	   public int getVersion()
	   {
	      return this.version;
	   }

	   public void setVersion(final int version)
	   {
	      this.version = version;
	   }

	   @Override
	   public boolean equals(Object that)
	   {
	      if (this == that)
	      {
	         return true;
	      }
	      if (that == null)
	      {
	         return false;
	      }
	      if (getClass() != that.getClass())
	      {
	         return false;
	      }
	      if (id != null)
	      {
	         return id.equals(((Party) that).id);
	      }
	      return super.equals(that);
	   }

	   @Override
	   public int hashCode()
	   {
	      if (id != null)
	      {
	         return id.hashCode();
	      }
	      return super.hashCode();
	   }



}
